/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import java.math.BigDecimal;
import org.threeten.bp.LocalDate;

/**
 * Model87
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model87 {
  @SerializedName("Date_of_purchase_of_items")
  private LocalDate dateOfPurchaseOfItems = null;

  @SerializedName("Description_of_claimed_cost")
  private String descriptionOfClaimedCost = null;

  @SerializedName("Amount_Claimed")
  private BigDecimal amountClaimed = null;

  @SerializedName("Form_of_Payment")
  private String formOfPayment = null;

  public Model87 dateOfPurchaseOfItems(LocalDate dateOfPurchaseOfItems) {
    this.dateOfPurchaseOfItems = dateOfPurchaseOfItems;
    return this;
  }

   /**
   * Get dateOfPurchaseOfItems
   * @return dateOfPurchaseOfItems
  **/
  @ApiModelProperty(example = "2016-05-12", value = "")
  public LocalDate getDateOfPurchaseOfItems() {
    return dateOfPurchaseOfItems;
  }

  public void setDateOfPurchaseOfItems(LocalDate dateOfPurchaseOfItems) {
    this.dateOfPurchaseOfItems = dateOfPurchaseOfItems;
  }

  public Model87 descriptionOfClaimedCost(String descriptionOfClaimedCost) {
    this.descriptionOfClaimedCost = descriptionOfClaimedCost;
    return this;
  }

   /**
   * Get descriptionOfClaimedCost
   * @return descriptionOfClaimedCost
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getDescriptionOfClaimedCost() {
    return descriptionOfClaimedCost;
  }

  public void setDescriptionOfClaimedCost(String descriptionOfClaimedCost) {
    this.descriptionOfClaimedCost = descriptionOfClaimedCost;
  }

  public Model87 amountClaimed(BigDecimal amountClaimed) {
    this.amountClaimed = amountClaimed;
    return this;
  }

   /**
   * Get amountClaimed
   * @return amountClaimed
  **/
  @ApiModelProperty(example = "500.0", value = "")
  public BigDecimal getAmountClaimed() {
    return amountClaimed;
  }

  public void setAmountClaimed(BigDecimal amountClaimed) {
    this.amountClaimed = amountClaimed;
  }

  public Model87 formOfPayment(String formOfPayment) {
    this.formOfPayment = formOfPayment;
    return this;
  }

   /**
   * Get formOfPayment
   * @return formOfPayment
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getFormOfPayment() {
    return formOfPayment;
  }

  public void setFormOfPayment(String formOfPayment) {
    this.formOfPayment = formOfPayment;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model87 model87 = (Model87) o;
    return Objects.equals(this.dateOfPurchaseOfItems, model87.dateOfPurchaseOfItems) &&
        Objects.equals(this.descriptionOfClaimedCost, model87.descriptionOfClaimedCost) &&
        Objects.equals(this.amountClaimed, model87.amountClaimed) &&
        Objects.equals(this.formOfPayment, model87.formOfPayment);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dateOfPurchaseOfItems, descriptionOfClaimedCost, amountClaimed, formOfPayment);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model87 {\n");
    
    sb.append("    dateOfPurchaseOfItems: ").append(toIndentedString(dateOfPurchaseOfItems)).append("\n");
    sb.append("    descriptionOfClaimedCost: ").append(toIndentedString(descriptionOfClaimedCost)).append("\n");
    sb.append("    amountClaimed: ").append(toIndentedString(amountClaimed)).append("\n");
    sb.append("    formOfPayment: ").append(toIndentedString(formOfPayment)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

